EPIC causes Eclipse 3.0 to crash on Linux

grrraham
2004-09-17
2013-05-20
  • grrraham
    grrraham
    2004-09-17

    I have had the JVM on my Debian box crash in ugly ways when I try to use EPIC. 
    Does anybody have this working?  What version of Java? 

     
    • grrraham
      grrraham
      2004-09-20

      I will probably have to go back to the old version of eclipse and of Epic.  I reinstalled 4 times and it just crashed on me again. 

       
    • Jochen Ruehl
      Jochen Ruehl
      2004-09-20

      Hi,

      is there a crashlog or anything available?
      I'm using and developing EPIC on Debian Sid with Java 1.4.2_04 and it's working fine.

      Bye
      Jochen

       
      • grrraham
        grrraham
        2004-09-20

        Are you using the motif version of eclipse?

        I may update my jvm to be at the same level as you.

        Message displayed in the Eclipse error-message box...:
        JVM terminated. Exit code=6
        /usr/bin/j2sdk1.4.2_03/bin/java
        -cp /usr/local/bin/eclipse/./startup.jar org.eclipse.core.launcher.Main
        -os linux
        -wd motif
        -arch x86
        -showsplash /usr/local/bin/eclipse/./eclipse -showsplash 600
        -exitdata /usr/local/bin/eclipse/./eclipse -exitdata 5f50008
        -vm /usr/bin/j2sdk1.4.2_03/bin/java
        -vmargs
        ...

        It also generates a file in the current directory (hs_err_pid18273.log)
        It starts with:

        An unexpected exception has been detected in native code outside the VM.
        Unexpected Signal : 11 occurred at PC=0x4001DE90
        Function=__pthread_mutex_lock+0x18
        Library=/lib/libpthread.so.0

        Current Java thread:
           at org.eclipse.swt.internal.motif.OS.XtSetValues(Native Method)
           at org.eclipse.swt.widgets.MenuItem.setText(MenuItem.java:854)
           at org.eclipse.jface.action.ActionContributionItem.update(ActionContributionItem.java:1162)
           at org.eclipse.jface.action.ActionContributionItem$1.propertyChange(ActionContributionItem.java:488)
           at org.eclipse.ui.internal.commands.ws.CommandCallback$1.commandChanged(CommandCallback.java:91)
           at org.eclipse.ui.internal.commands.Command.fireCommandChanged(Command.java:143)
           at org.eclipse.ui.internal.commands.MutableCommandManager.notifyCommands(MutableCommandManager.java:389)
           at org.eclipse.ui.internal.commands.MutableCommandManager.setActiveContextIds(MutableCommandManager.java:580)
           at org.eclipse.ui.internal.commands.ws.WorkbenchCommandSupport.setActiveContextIds(WorkbenchCommandSupport.java:631)

           at org.eclipse.ui.internal.commands.MutableCommandManager.setActiveContextIds(MutableCommandManager.java:580)
           at org.eclipse.ui.internal.commands.ws.WorkbenchCommandSupport.setActiveContextIds(WorkbenchCommandSupport.java:631)
           at org.eclipse.ui.internal.Workbench$2.contextManagerChanged(Workbench.java:1812)
           at org.eclipse.ui.internal.contexts.AbstractContextManager.fireContextManagerChanged(AbstractContextManager.java:46)
           at org.eclipse.ui.internal.contexts.ProxyContextManager$1.contextManagerChanged(ProxyContextManager.java:41)
           at org.eclipse.ui.internal.contexts.AbstractContextManager.fireContextManagerChanged(AbstractContextManager.java:46)
           at org.eclipse.ui.internal.contexts.MutableContextManager.setEnabledContextIds(MutableContextManager.java:262)
           at org.eclipse.ui.internal.contexts.ws.WorkbenchContextSupport.processEnabledSubmissions(WorkbenchContextSupport.java:611)
           at org.eclipse.ui.internal.contexts.ws.WorkbenchContextSupport.processEnabledSubmissions(WorkbenchContextSupport.java:497)
           at org.eclipse.ui.internal.contexts.ws.WorkbenchContextSupport.addEnabledSubmissions(WorkbenchContextSupport.java:367)
           at org.eclipse.ui.internal.contexts.ws.WorkbenchContextSupport.checkWindowType(WorkbenchContextSupport.java:447)
        @
           at org.eclipse.ui.internal.contexts.ws.WorkbenchContextSupport.access$0(WorkbenchContextSupport.java:381)
           at org.eclipse.ui.internal.contexts.ws.WorkbenchContextSupport$1.handleEvent(WorkbenchContextSupport.java:207)
           at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:82)
           at org.eclipse.swt.widgets.Display.filterEvent(Display.java:838)
           at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:730)
           at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:752)
           at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:735)
           at org.eclipse.swt.widgets.Shell.XFocusChange(Shell.java:1538)
           at org.eclipse.swt.widgets.Widget.windowProc(Widget.java:907)
           at org.eclipse.swt.widgets.Display.windowProc(Display.java:3478)
           at org.eclipse.swt.internal.motif.OS.XtDispatchEvent(Native Method)
           at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2640)
           at org.eclipse.jface.window.Window.runEventLoop(Window.java:668)
           at org.eclipse.jface.window.Window.open(Window.java:648)
           at org.eclipse.ui.actions.PerspectiveMenu.runOther(PerspectiveMenu.java:313)
           at org.eclipse.ui.actions.PerspectiveMenu$4.widgetSelected(PerspectiveMenu.java:134)
           at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:89)
           at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:82)
           at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:731)
           at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:2938)

        ......

        The llast few lines say:
        # The exception above was detected in native code outside the VM
        # Java VM: Java HotSpot(TM) Client VM (1.4.2_03-b02 mixed mode)

         
        • Jochen Ruehl
          Jochen Ruehl
          2004-09-20

          Hi,

          I'm using the gtk2 version. The error indicates that there is a problem outside the JVM in libpthread.so.0.
          Did you install Eclipse manually or via apt ?
          If you used apt, try to install Eclipse manually.
          Have a look at google, there are some hits for "libpthread.so eclipse".

          Bye
          Jochen

           
        • grrraham
          grrraham
          2004-09-27

          I updated my Eclipse to 3.0.1 and the problem seems to be solved..=